Package org.jbpm.casemgmt.impl.model

## Class AuditCaseInstanceData

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.AuditCaseInstanceData

- All Implemented Interfaces:
    `Serializable`

      public class AuditCaseInstanceData
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditCaseInstanceData​(Long processInstanceId, String caseId, List<CaseFileData> caseFileData, List<CaseRoleAssignmentLog> caseRoleAssignments)` |
    `AuditCaseInstanceData​(String caseId, List<CaseFileData> caseFileData, List<CaseRoleAssignmentLog> caseRoleAssignments)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<CaseFileData>` | `getCaseFileData()` |
    `String` | `getCaseId()` |
    `List<CaseRoleAssignmentLog>` | `getCaseRoleAssignments()` |
    `Long` | `getProcessInstanceId()` |
    `void` | `setCaseFileData​(List<CaseFileData> caseFileData)` |
    `void` | `setCaseId​(String caseId)` |
    `void` | `setCaseRoleAssignments​(List<CaseRoleAssignmentLog> caseRoleAssignments)` |
    `void` | `setProcessInstanceId​(Long processInstanceId)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditCaseInstanceData

          public AuditCaseInstanceData​(String caseId,
                                       List<CaseFileData> caseFileData,
                                       List<CaseRoleAssignmentLog> caseRoleAssignments)

    - #### AuditCaseInstanceData

          public AuditCaseInstanceData​(Long processInstanceId,
                                       String caseId,
                                       List<CaseFileData> caseFileData,
                                       List<CaseRoleAssignmentLog> caseRoleAssignments)

  - ### Method Detail

    - #### getCaseId

          public String getCaseId()

    - #### setCaseId

          public void setCaseId​(String caseId)

    - #### getCaseFileData

          public List<CaseFileData> getCaseFileData()

    - #### setCaseFileData

          public void setCaseFileData​(List<CaseFileData> caseFileData)

    - #### getCaseRoleAssignments

          public List<CaseRoleAssignmentLog> getCaseRoleAssignments()

    - #### setCaseRoleAssignments

          public void setCaseRoleAssignments​(List<CaseRoleAssignmentLog> caseRoleAssignments)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

    - #### setProcessInstanceId

          public void setProcessInstanceId​(Long processInstanceId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`